--------------------------------------------------------------------------------
-- Filename:	deferror.sql
-- Purpose:	Reports on deferred transaction with errors, and generates
--		call to dbms_defer_sys.execute_error to clear them.
-- Author:	Chas. Dye (cdye@dialog.com)
-- Date:	28-Jun-1996
--
-- Modification History
-- --------------------
-- 13-Aug-1998 : Chas. : updated for Oracle8; added commands to delete error.
-- 09-Oct-1998 : Chas. : Added ORDER BY start_time
--------------------------------------------------------------------------------

column ORIGIN_TRAN_DB	heading "Origin|Tran|DB"	format a15
column DEFERRED_TRAN_ID	heading "Deferred|Tran|ID"	format a15
column DESTINATION	heading "Destination"		format a15
column ERROR_TIME	heading "Error Time"		format a22
column ERROR_NUMBER	heading "Error#"		format 999999
column FIX		heading "Run This to Clear"	format a80
column DITCH		heading "Run This to Delete"	format a80


SELECT	deferred_tran_id,
	origin_tran_db,
	destination,
	to_char(start_time, 'DD-Mon-YYYY hh24:mi:ss') error_time,
	error_number
FROM	deferror
ORDER BY start_time
/

SELECT	'EXECUTE dbms_defer_sys.execute_error(' || chr(39) ||
	deferred_tran_id || chr(39) || ', '|| chr(39) ||
	destination || chr(39) || ' )'  fix
FROM	deferror
ORDER BY start_time
/

SELECT	'EXECUTE dbms_defer_sys.delete_error(' || chr(39) ||
	deferred_tran_id || chr(39) || ', '|| chr(39) ||
	destination || chr(39) || ' )'  ditch
FROM	deferror
ORDER BY start_time
/

