-------------------------------------------------------------------------------
-- Filename:	snaps.sql
-- Author	Chas. Dye (cdye@mailexcite.com)
-- Purpose:	Lists all snapshots in the database
-- Date:	17-Jan-1997
-------------------------------------------------------------------------------

column rname		heading "Refresh|Group"		format a15
column owner		heading "Snapshot|Owner"	format a10
column name		heading "Table Name"		format a25
column next_date	heading "Next Refresh"		format a20
column parallelism	heading "P|a|r|a|l|l|e|l"	format 99999


clear breaks
break on rname skip 1

SELECT	rname,
	owner,
	name,
	next_date,
	parallelism
FROM	dba_refresh_children
ORDER BY rname, owner, name
/

clear breaks
